
local harbour = ...

-- Apply building asset processor
harbour:registerAssetProcessor("models/decorations/decoration.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
-- Create default door decoration part registering function 
function registerDefaultDoorDecorationPart(_nameFbx, _nameAsset, _stoneCost)
    harbour:registerAssetId("models/decorations/decoration.fbx/Prefab/decoration/Entrance/" .. _nameFbx .. "Part", HarbourPrefix .. "_ENTRANCE_" .. _nameAsset .. "_PREFAB")

    harbour:register({
	DataType = "BUILDING_PART",
	Id = HarbourPrefix .. "_ENTRANCE_" .. _nameAsset .. "_PART",
	Name = HarbourPrefix .. "_ENTRANCE_" .. _nameAsset .. "_NAME",
	Description = HarbourPrefix .. "_ENTRANCE_" .. _nameAsset .. "_DESC",
	Category = "DOOR",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = HarbourPrefix .. "_ENTRANCE_" .. _nameAsset .. "_PREFAB",
                IsPreviewGroundVisible = false
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = _stoneCost }
		}
	}
    })

-- Register grounding components
    harbour:registerPrefabComponent("models/decorations/decoration.fbx/Prefab/decoration/Entrance/" .. _nameFbx .. "Part", {
	DataType = "COMP_GROUNDED"
    })
end

registerDefaultDoorDecorationPart("IntegratedDoorA", "DOOR_A", 1)
registerDefaultDoorDecorationPart("IntegratedDoorB", "DOOR_B", 1)
